SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001824SiT!otherpublic2012-12-20 19:252016-04-03 10:42
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeveritymajorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta2Fixed in VersionCurrent GIT 
Summary0001824: mysql deprecated in PHP5.5
DescriptionThe mysql extension within PHP is set to be marked as deprecated in PHP5.5 and removed in a subsequent release details can be found at https://wiki.php.net/rfc/mysql_deprecation [^] and http://uk.php.net/mysql_connect [^]

We use this extensively within SiT, whilst there is a possibility that a PECL extension will be available which will continue this support we can't guarantee that our user base will be able to install such extensions and we shouldn't rely on it being available as such we need to look at moving to mysqli or PDO_MySQL sooner rather than latter this is a significant piece of work
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0004624)
ivan (administrator)
2013-01-01 15:33

Confirmed.

Not an urgent problem at the moment, so not something we need to look at for the 3.x releases. As Paul has suggested on the dev mailing list, we should look at a solution for this at 4.0 or later.
User avatar (0004989)
paulh (administrator)
2015-12-29 12:35

current trunk now uses mysqli

- Issue History
Date Modified Username Field Change
2012-12-20 19:25 paulh New Issue
2013-01-01 15:33 ivan Note Added: 0004624
2013-01-01 15:33 ivan Status new => confirmed
2015-12-19 17:49 paulh Assigned To => paulh
2015-12-19 17:49 paulh Status confirmed => assigned
2015-12-29 12:35 paulh Note Added: 0004989
2015-12-29 12:35 paulh Status assigned => resolved
2015-12-29 12:35 paulh Resolution open => fixed
2015-12-29 12:35 paulh Fixed in Version => Current GIT
2015-12-29 12:35 paulh Target Version => 3.91
2016-04-03 10:42 paulh Target Version 3.91 => 3.90beta2


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker